adjacent_remove_if.hpp File Reference

## Functions

template<typename I , typename S , typename Pred , typename Proj = identity>
auto | ranges::adjacent_remove_if (I first, S last, Pred pred={}, Proj proj={}) -> I requires permutable< I > &&sentinel_for< S, I > &&indirect_relation< Pred, projected< I, Proj >>
| function `adjacent_remove_if` More...
template<typename Rng , typename Pred , typename Proj = identity>
auto | ranges::adjacent_remove_if (Rng &&rng, Pred pred, Proj proj={}) -> safe_iterator_t< Rng > requires forward_range< Rng > &&indirect_relation< Pred, projected< iterator_t< Rng >, Proj >> &&permutable< iterator_t< Rng >>